
* Table 1: Definition of variables

* Table 2: Summary statistics

tabstat Cash_w CashChange_w CashFlow_w Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w DEV WEF WEFI STKMKT FININT FD LAW if (control == 1) & (fyear >= 1990) & (fyear <= 2015), statistics(mean count) by(fic) columns(variables)
tabstat Cash_w CashChange_w CashFlow_w Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w DEV WEF WEFI STKMKT FININT FD [w = weight_inv], statistics(mean count) columns(variables)

* Table 3: Correlations of FD measures

pwcorr DEV WEF WEFI STKMKT FININT FD if (control == 1) & (fyear >= 1990) & (fyear <= 2015), star (0.01)

tabstat DEV WEF WEFI STKMKT FININT FD [w = weight_inv] if (DEV == 1), statistics(mean count) columns(variables)
tabstat DEV WEF WEFI STKMKT FININT FD [w = weight_inv] if (DEV == 0), statistics(mean count) columns(variables)

tabstat DEV WEF WEFI STKMKT FININT FD [w = weight_inv] if (WEFI == 1),   statistics(mean count) columns(variables)
tabstat DEV WEF WEFI STKMKT FININT FD [w = weight_inv] if (WEFI == 0.5), statistics(mean count) columns(variables)
tabstat DEV WEF WEFI STKMKT FININT FD [w = weight_inv] if (WEFI == 0),   statistics(mean count) columns(variables)

* Table 4 Panel B: Reproduction of Khurana, Martin & Pereira (2006)

- Compustat Global/North America
- Period 1994 to 2002
- No SICs between 6000 and 6999
- 32 countries in the sample: Argentina, Columbia and Venezuela are missing
- Fixed effects: country, industry and year
- Controls: q, Size, STDebt
- Cash flow definition: Ali and Hwang (2000)
- Consolidated financial statements: consol=="C"

eststo  clear
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.STKMKT_KMP MB_w Size STDebt_w [w = weight_KMP1_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FININT_KMP MB_w Size STDebt_w [w = weight_KMP1_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FD_KMP     MB_w Size STDebt_w [w = weight_KMP1_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.STKMKT_KMP MB_w Size STDebt_w [w = weight_KMP2_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FININT_KMP MB_w Size STDebt_w [w = weight_KMP2_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FD_KMP     MB_w Size STDebt_w [w = weight_KMP2_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.STKMKT_KMP MB_w Size STDebt_w [w = weight_KMP3_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FININT_KMP MB_w Size STDebt_w [w = weight_KMP3_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FD_KMP     MB_w Size STDebt_w [w = weight_KMP3_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.STKMKT_KMP MB_w Size STDebt_w [w = weight_KMP4_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FININT_KMP MB_w Size STDebt_w [w = weight_KMP4_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FD_KMP     MB_w Size STDebt_w [w = weight_KMP4_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)
				
eststo  clear
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.STKMKT_KMP MB_w Size STDebt_w [w = weight_KMP5_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FININT_KMP MB_w Size STDebt_w [w = weight_KMP5_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
eststo: quietly reghdfe CashChange_w c.CashFlow2_w##c.FD_KMP     MB_w Size STDebt_w [w = weight_KMP5_inv], absorb (sic2 fyear fic_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

* Table 5 (a): Volatility of CF residuals within country-year-industry

tabstat u_hat_sd_all if (DEV == 1) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (DEV == 0) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (DEV == 1) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (sic >=2000) & (sic <=3990), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (DEV == 0) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (sic >=2000) & (sic <=3990), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (DEV == 1) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (length2 >= 21) & (length2 <= 26), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (DEV == 0) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (length2 >= 21) & (length2 <= 26), statistics(mean p50 count) columns(variables)

tabstat u_hat_sd_all if  (WEFI == 1)                  & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if  (WEFI == 1)                  & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (sic >=2000) & (sic <=3990), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (sic >=2000) & (sic <=3990), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if  (WEFI == 1)                  & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (length2 >= 21) & (length2 <= 26), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (length2 >= 21) & (length2 <= 26), statistics(mean p50 count) columns(variables)

tabstat u_hat_sd_all if (FD_dummy == 1) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (FD_dummy == 0) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (FD_dummy == 1) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (sic >=2000) & (sic <=3990), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (FD_dummy == 0) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (sic >=2000) & (sic <=3990), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (FD_dummy == 1) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (length2 >= 21) & (length2 <= 26), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_all if (FD_dummy == 0) & (u_hat_sd_all_sum >=5) & (u_hat_sd_all_sum < 10000) & (length2 >= 21) & (length2 <= 26), statistics(mean p50 count) columns(variables)

* Table 5 (a): Volatility of CF residuals within country-year-industry-constrained firms

tabstat u_hat_sd_const1 if (DEV == 1) & (u_hat_sd_const1_sum >=5) & (u_hat_sd_const1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const1 if (DEV == 0) & (u_hat_sd_const1_sum >=5) & (u_hat_sd_const1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const2 if (DEV == 1) & (u_hat_sd_const2_sum >=5) & (u_hat_sd_const2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const2 if (DEV == 0) & (u_hat_sd_const2_sum >=5) & (u_hat_sd_const2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const3 if (DEV == 1) & (u_hat_sd_const3_sum >=5) & (u_hat_sd_const3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const3 if (DEV == 0) & (u_hat_sd_const3_sum >=5) & (u_hat_sd_const3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const4 if (DEV == 1) & (u_hat_sd_const4_sum >=5) & (u_hat_sd_const4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const4 if (DEV == 0) & (u_hat_sd_const4_sum >=5) & (u_hat_sd_const4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const5 if (DEV == 1) & (u_hat_sd_const5_sum >=5) & (u_hat_sd_const5_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const5 if (DEV == 0) & (u_hat_sd_const5_sum >=5) & (u_hat_sd_const5_sum < 10000), statistics(mean p50 count) columns(variables)

tabstat u_hat_sd_const1 if  (WEFI == 1)                  & (u_hat_sd_const1_sum >=5) & (u_hat_sd_const1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const1 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_const1_sum >=5) & (u_hat_sd_const1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const2 if  (WEFI == 1)                  & (u_hat_sd_const2_sum >=5) & (u_hat_sd_const2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const2 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_const2_sum >=5) & (u_hat_sd_const2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const3 if  (WEFI == 1)                  & (u_hat_sd_const3_sum >=5) & (u_hat_sd_const3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const3 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_const3_sum >=5) & (u_hat_sd_const3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const4 if  (WEFI == 1)                  & (u_hat_sd_const4_sum >=5) & (u_hat_sd_const4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const4 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_const4_sum >=5) & (u_hat_sd_const4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const5 if  (WEFI == 1)                  & (u_hat_sd_const5_sum >=5) & (u_hat_sd_const5_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const5 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_const5_sum >=5) & (u_hat_sd_const5_sum < 10000), statistics(mean p50 count) columns(variables)

tabstat u_hat_sd_const1 if (FD_dummy == 1) & (u_hat_sd_const1_sum >=5) & (u_hat_sd_const1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const1 if (FD_dummy == 0) & (u_hat_sd_const1_sum >=5) & (u_hat_sd_const1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const2 if (FD_dummy == 1) & (u_hat_sd_const2_sum >=5) & (u_hat_sd_const2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const2 if (FD_dummy == 0) & (u_hat_sd_const2_sum >=5) & (u_hat_sd_const2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const3 if (FD_dummy == 1) & (u_hat_sd_const3_sum >=5) & (u_hat_sd_const3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const3 if (FD_dummy == 0) & (u_hat_sd_const3_sum >=5) & (u_hat_sd_const3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const4 if (FD_dummy == 1) & (u_hat_sd_const4_sum >=5) & (u_hat_sd_const4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const4 if (FD_dummy == 0) & (u_hat_sd_const4_sum >=5) & (u_hat_sd_const4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const5 if (FD_dummy == 1) & (u_hat_sd_const5_sum >=5) & (u_hat_sd_const5_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_const5 if (FD_dummy == 0) & (u_hat_sd_const5_sum >=5) & (u_hat_sd_const5_sum < 10000), statistics(mean p50 count) columns(variables)

* Table 5 (a): Volatility of CF residuals within country-year-industry-unconstrained firms

tabstat u_hat_sd_unconst1 if (DEV == 1) & (u_hat_sd_unconst1_sum >=5) & (u_hat_sd_unconst1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst1 if (DEV == 0) & (u_hat_sd_unconst1_sum >=5) & (u_hat_sd_unconst1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst2 if (DEV == 1) & (u_hat_sd_unconst2_sum >=5) & (u_hat_sd_unconst2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst2 if (DEV == 0) & (u_hat_sd_unconst2_sum >=5) & (u_hat_sd_unconst2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst3 if (DEV == 1) & (u_hat_sd_unconst3_sum >=5) & (u_hat_sd_unconst3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst3 if (DEV == 0) & (u_hat_sd_unconst3_sum >=5) & (u_hat_sd_unconst3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst4 if (DEV == 1) & (u_hat_sd_unconst4_sum >=5) & (u_hat_sd_unconst4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst4 if (DEV == 0) & (u_hat_sd_unconst4_sum >=5) & (u_hat_sd_unconst4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst5 if (DEV == 1) & (u_hat_sd_unconst5_sum >=5) & (u_hat_sd_unconst5_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst5 if (DEV == 0) & (u_hat_sd_unconst5_sum >=5) & (u_hat_sd_unconst5_sum < 10000), statistics(mean p50 count) columns(variables)

tabstat u_hat_sd_unconst1 if  (WEFI == 1)                  & (u_hat_sd_unconst1_sum >=5) & (u_hat_sd_unconst1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst1 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_unconst1_sum >=5) & (u_hat_sd_unconst1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst2 if  (WEFI == 1)                  & (u_hat_sd_unconst2_sum >=5) & (u_hat_sd_unconst2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst2 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_unconst2_sum >=5) & (u_hat_sd_unconst2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst3 if  (WEFI == 1)                  & (u_hat_sd_unconst3_sum >=5) & (u_hat_sd_unconst3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst3 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_unconst3_sum >=5) & (u_hat_sd_unconst3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst4 if  (WEFI == 1)                  & (u_hat_sd_unconst4_sum >=5) & (u_hat_sd_unconst4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst4 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_unconst4_sum >=5) & (u_hat_sd_unconst4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst5 if  (WEFI == 1)                  & (u_hat_sd_unconst5_sum >=5) & (u_hat_sd_unconst5_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst5 if ((WEFI == 0) | (WEFI == 0.5)) & (u_hat_sd_unconst5_sum >=5) & (u_hat_sd_unconst5_sum < 10000), statistics(mean p50 count) columns(variables)

tabstat u_hat_sd_unconst1 if (FD_dummy == 1) & (u_hat_sd_unconst1_sum >=5) & (u_hat_sd_unconst1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst1 if (FD_dummy == 0) & (u_hat_sd_unconst1_sum >=5) & (u_hat_sd_unconst1_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst2 if (FD_dummy == 1) & (u_hat_sd_unconst2_sum >=5) & (u_hat_sd_unconst2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst2 if (FD_dummy == 0) & (u_hat_sd_unconst2_sum >=5) & (u_hat_sd_unconst2_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst3 if (FD_dummy == 1) & (u_hat_sd_unconst3_sum >=5) & (u_hat_sd_unconst3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst3 if (FD_dummy == 0) & (u_hat_sd_unconst3_sum >=5) & (u_hat_sd_unconst3_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst4 if (FD_dummy == 1) & (u_hat_sd_unconst4_sum >=5) & (u_hat_sd_unconst4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst4 if (FD_dummy == 0) & (u_hat_sd_unconst4_sum >=5) & (u_hat_sd_unconst4_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst5 if (FD_dummy == 1) & (u_hat_sd_unconst5_sum >=5) & (u_hat_sd_unconst5_sum < 10000), statistics(mean p50 count) columns(variables)
tabstat u_hat_sd_unconst5 if (FD_dummy == 0) & (u_hat_sd_unconst5_sum >=5) & (u_hat_sd_unconst5_sum < 10000), statistics(mean p50 count) columns(variables)
  
* Table 5 (b): Volatility of CF residuals within firm

tabstat u_hat_sd if (DEV == 1) [w = weight_ts_inv],  statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (DEV == 0) [w = weight_ts_inv],  statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (DEV == 1) [w = weight_ts2_inv], statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (DEV == 0) [w = weight_ts2_inv], statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (DEV == 1) [w = weight_ts3_inv], statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (DEV == 0) [w = weight_ts3_inv], statistics(mean p50 count) columns(variables)

tabstat u_hat_sd if  (WEFI == 1)                  [w = weight_ts_inv],  statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if ((WEFI == 0) | (WEFI == 0.5)) [w = weight_ts_inv],  statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if  (WEFI == 1)                  [w = weight_ts2_inv], statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if ((WEFI == 0) | (WEFI == 0.5)) [w = weight_ts2_inv], statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if  (WEFI == 1)                  [w = weight_ts3_inv], statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if ((WEFI == 0) | (WEFI == 0.5)) [w = weight_ts3_inv], statistics(mean p50 count) columns(variables)

tabstat u_hat_sd if (FD_dummy == 1) [w = weight_ts_inv],  statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (FD_dummy == 0) [w = weight_ts_inv],  statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (FD_dummy == 1) [w = weight_ts2_inv], statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (FD_dummy == 0) [w = weight_ts2_inv], statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (FD_dummy == 1) [w = weight_ts3_inv], statistics(mean p50 count) columns(variables)
tabstat u_hat_sd if (FD_dummy == 0) [w = weight_ts3_inv], statistics(mean p50 count) columns(variables)
		
* Table 6: Financial development and CCFS baseline

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.DEV  MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.WEFI MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.FD   MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv], absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

* Table 7 (a): Financial development and CCFS ex-US

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.DEV  MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv] if !(fic=="USA"), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.WEFI MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv] if !(fic=="USA"), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.FD   MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv] if !(fic=="USA"), absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(fic=="USA"), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(fic=="USA"), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD    CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(fic=="USA"), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

* Table 7 (b): Financial development and CCFS with LAW

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.DEV  c.CashFlow_w##i.LAW MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.WEFI c.CashFlow_w##i.LAW MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.FD   c.CashFlow_w##i.LAW MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv], absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg CashFlow_LAW LAW Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg CashFlow_LAW LAW Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg CashFlow_LAW LAW Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

* Table 7 (c): Financial development and CCFS with external finance

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.STDebt_w##i.DEV  c.LTDebt_w##i.DEV  c.Netequity_w##i.DEV  c.CashFlow_w##i.Neg  MB_w Size NwcChange_w Div_w Capex_w Acquis_w i.fyear [w = weight_ext_finance_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.STDebt_w##c.WEFI c.LTDebt_w##c.WEFI c.Netequity_w##c.WEFI c.CashFlow_w##i.Neg  MB_w Size NwcChange_w Div_w Capex_w Acquis_w i.fyear [w = weight_ext_finance_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.STDebt_w##c.FD   c.LTDebt_w##c.FD   c.Netequity_w##c.FD   c.CashFlow_w##i.Neg  MB_w Size NwcChange_w Div_w Capex_w Acquis_w i.fyear [w = weight_ext_finance_inv], absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  STDebt_w STDebt_DEV  LTDebt_w LTDebt_DEV  Netequity_w Netequity_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(Netequity_w == .) & !(LTDebt_w == .), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI STDebt_w STDebt_WEFI LTDebt_w LTDebt_WEFI Netequity_w Netequity_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(Netequity_w == .) & !(LTDebt_w == .), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   STDebt_w STDebt_FD   LTDebt_w LTDebt_FD   Netequity_w Netequity_FD   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(Netequity_w == .) & !(LTDebt_w == .), maxdeg(7) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

* Table 7 (d): Financial development and CCFS with 3-year cash saving

eststo  clear
eststo: quietly areg CashChange_3yr_w c.CashFlow_w##i.Neg c.CashFlow_w##i.DEV  MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_3yr_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_3yr_w c.CashFlow_w##i.Neg c.CashFlow_w##c.WEFI MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_3yr_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_3yr_w c.CashFlow_w##i.Neg c.CashFlow_w##c.FD   MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_3yr_inv], absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_3yr_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(CashChange_3yr_w ==.), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_3yr_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(CashChange_3yr_w ==.), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_3yr_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(CashChange_3yr_w ==.), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

* Table 7 (e): Financial development and CCFS with mature firms

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.DEV  MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight2_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.WEFI MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight2_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.FD   MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight2_inv], absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (length2 >= 21) & (length2 <= 26), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (length2 >= 21) & (length2 <= 26), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD  CashFlow_FD    CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (length2 >= 21) & (length2 <= 26), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

* Table 7 (f): Financial development and CCFS with alternative proxies for investment opportunities

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.DEV  MB_w SalesG_w FutInv_CurInv_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (fyear >= 1990) & (fyear <= 2015), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.WEFI MB_w SalesG_w FutInv_CurInv_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (fyear >= 1990) & (fyear <= 2015), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.FD   MB_w SalesG_w FutInv_CurInv_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (fyear >= 1990) & (fyear <= 2015), absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w SalesG_w FutInv_CurInv_w CashFlow_w DEV  CashFlow_DEV   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(3) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w SalesG_w FutInv_CurInv_w CashFlow_w WEFI CashFlow_WEFI  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(3) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w SalesG_w FutInv_CurInv_w CashFlow_w FD   CashFlow_FD    CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(3) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

* Table 7 (g): Financial development and CCFS with unweighted data

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.DEV  MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.WEFI MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.FD   MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015), absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

* Table 7 (h): Financial development and CCFS without fixed effects

eststo  clear
eststo: quietly reg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.DEV  MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w [w = weight_inv], vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.WEFI MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w [w = weight_inv], vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.FD   MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w [w = weight_inv], vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

* Table 7 (i): Financial development and CCFS with country clustering

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.DEV  MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv], absorb (gvkey_n) vce(cluster fic)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.WEFI MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv], absorb (gvkey_n) vce(cluster fic)
eststo: quietly areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##c.FD   MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_inv], absorb (gvkey_n) vce(cluster fic)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

* Table 8 (a): Financial development and CCFS with financial constraints

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Small_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Small_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Small_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1),  maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)


eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w  Capex_w Acquis_w STDebt_w i.fyear [w = weight_Dividend_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w  Capex_w Acquis_w STDebt_w i.fyear [w = weight_Dividend_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w  Capex_w Acquis_w STDebt_w i.fyear [w = weight_Dividend_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w  Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w  Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w  Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)


eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_WWI_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_WWI_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_WWI_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 1),  maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)


eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_HPI_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_HPI_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_HPI_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 1),  maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)


eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_All_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_All_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_All_constraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

*** with FEs & no weights

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1),               absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1),               absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1),               absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 1),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 1),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 1),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 1),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 1),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 1),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1), absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

*** no FE & no weights

eststo  clear
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1),               vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1),               vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1),               vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 1),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 1),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 1),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 1),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 1),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 1),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

display e(r2_a)

lincom c.CashFlow_w + c.CashFlow_w#1.DEV
lincom c.CashFlow_w + c.CashFlow_w#c.WEFI

test   _b[CashFlow_w] =
test   c.CashFlow_w + c.CashFlow_w#1.DEV  = 
test   c.CashFlow_w + c.CashFlow_w#c.WEFI =

* Table 8 (b): Financial development and CCFS without financial constraints

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Large_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Large_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Large_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)


eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w  Capex_w Acquis_w STDebt_w i.fyear [w = weight_Dividend_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w  Capex_w Acquis_w STDebt_w i.fyear [w = weight_Dividend_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w  Capex_w Acquis_w STDebt_w i.fyear [w = weight_Dividend_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w  Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w  Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w  Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)


eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_WWI_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_WWI_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_WWI_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 0),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 0),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 0),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)


eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_HPI_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_HPI_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_HPI_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 0),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 0),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 0),  maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)


eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_All_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_All_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_All_noconstraint_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1) & (Dividend_constraint == 0) & (WWI_constraint == 0) & (HPI_constraint == 0),  maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1) & (Dividend_constraint == 0) & (WWI_constraint == 0) & (HPI_constraint == 0),  maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1) & (Dividend_constraint == 0) & (WWI_constraint == 0) & (HPI_constraint == 0),  maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

*** with FEs & no weights

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1),               absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1),               absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1),               absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 0),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 0),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 0),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 0),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 0),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 0),      absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1) & (Dividend_constraint == 0) & (WWI_constraint == 0) & (HPI_constraint == 0), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1) & (Dividend_constraint == 0) & (WWI_constraint == 0) & (HPI_constraint == 0), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1) & (Dividend_constraint == 0) & (WWI_constraint == 0) & (HPI_constraint == 0), absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

*** no FE & no weights

eststo  clear
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1),               vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1),               vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1),               vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 0),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 0),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (WWI_constraint == 0),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 0),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 0),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (HPI_constraint == 0),      vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1) & (Dividend_constraint == 0) & (WWI_constraint == 0) & (HPI_constraint == 0), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1) & (Dividend_constraint == 0) & (WWI_constraint == 0) & (HPI_constraint == 0), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1) & (Dividend_constraint == 0) & (WWI_constraint == 0) & (HPI_constraint == 0), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

display e(r2_a)

lincom c.CashFlow_w + c.CashFlow_w#1.DEV
lincom c.CashFlow_w + c.CashFlow_w#c.WEFI

test   _b[CashFlow_w] =
test   c.CashFlow_w + c.CashFlow_w#1.DEV  = 
test   c.CashFlow_w + c.CashFlow_w#c.WEFI =

* Table 9: Financial development and CCFS with cash flow uncertainty

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Large_vol_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Large_vol_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Large_vol_inv], absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Small_vol_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Small_vol_inv], absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_Small_vol_inv], absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w DEV  CashFlow_DEV  CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w WEFI CashFlow_WEFI CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
eststo: quietly xtewreg CashChange_w MB_w CashFlow_w FD   CashFlow_FD   CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N rho)

*** with FEs & no weights

eststo  clear
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##i.DEV  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.WEFI c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), absorb (gvkey_n) vce(cluster gvkey_n)
eststo: quietly areg CashChange_w c.CashFlow_w##c.FD   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), absorb (gvkey_n) vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

*** no FE & no weights

eststo  clear
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD    c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##i.DEV   c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.WEFI  c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), vce(cluster gvkey_n)
eststo: quietly reg CashChange_w c.CashFlow_w##c.FD    c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

display e(r2_a)

* Table 10: Financial development and CCFS with 2SLS/IV analysis

"2SLS_fic.dta" and "2SLS_fic_fyear.dta"

tabstat b_CashFlow_w CFU_mean CFU_p50, by (DEV)
tabstat b_CashFlow_w CFU_mean CFU_p50, by (WEFI)
tabstat b_CashFlow_w CFU_mean CFU_p50  if (FD_dummy < 0.5), by (FD_dummy)
tabstat b_CashFlow_w CFU_mean CFU_p50  if (FD_dummy >=0.5), by (FD_dummy)

tabstat b_CashFlow_w CFU_mean CFU_p50 if (n>=20), by (DEV)
tabstat b_CashFlow_w CFU_mean CFU_p50 if (n>=20), by (WEFI)
tabstat b_CashFlow_w CFU_mean CFU_p50 if (n>=20) & (FD_dummy < 0.5), by (FD_dummy)
tabstat b_CashFlow_w CFU_mean CFU_p50 if (n>=20) & (FD_dummy >=0.5), by (FD_dummy)

eststo  clear
eststo: quietly reg b_CashFlow_w DEV,  vce (r)
eststo: quietly reg b_CashFlow_w WEFI, vce (r)
eststo: quietly reg b_CashFlow_w WEF,  vce (r)
eststo: quietly reg b_CashFlow_w FD,   vce (r)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg b_CashFlow_w DEV  if (n>=20), vce (r)
eststo: quietly reg b_CashFlow_w WEFI if (n>=20), vce (r)
eststo: quietly reg b_CashFlow_w WEF  if (n>=20), vce (r)
eststo: quietly reg b_CashFlow_w FD   if (n>=20), vce (r)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

pca DEV WEF FD
screeplot, yline(1) ci(het)
predict pc1 pc2
correla pc1 pc2

ivregress 2sls b_CashFlow_w (CFU_mean = pc1),     first vce (robust) 
ivregress 2sls b_CashFlow_w (CFU_mean = pc1 pc2), first vce (robust) 

ivregress 2sls b_CashFlow_w (CFU_mean = pc1)     if (n>=20), first vce (robust)
ivregress 2sls b_CashFlow_w (CFU_mean = pc1 pc2) if (n>=20), first vce (robust)

estat firststage
estat endogenous
estat overid

* Table 11: Stock market liberalization and CCFS

areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.LIB MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w i.fyear [w = weight_LIB_inv],  absorb (gvkey_n) vce(cluster gvkey_n)
areg CashChange_w c.CashFlow_w##i.Neg c.CashFlow_w##i.LIB MB_w Size NwcChange_w       Capex_w Acquis_w STDebt_w i.fyear [w = weight_LIB2_inv], absorb (gvkey_n) vce(cluster gvkey_n)

xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg CashFlow_LIB LIB Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(LIB ==.), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg CashFlow_LIB LIB Size NwcChange_w       Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(LIB ==.) & (Small == 1) & (Dividend_constraint == 1) & (WWI_constraint == 1) & (HPI_constraint == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  

* Figure 1: CF serial correlation: all firms 

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1991) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1992) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1993) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1994) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1995) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1996) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1997) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1998) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1999) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2000) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2001) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2002) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2003) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2004) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2005) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2006) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2007) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2008) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2009) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2010) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2011) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2012) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2013) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2014) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2015) & (fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1991) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1992) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1993) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1994) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1995) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1996) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1997) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1998) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1999) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2000) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2001) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2002) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2003) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2004) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2005) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2006) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2007) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2008) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2009) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2010) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2011) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2012) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2013) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2014) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2015) & (DEV == 1) & !(fic == "USA") & (Neg == 0), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1991) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1992) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1993) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1994) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1995) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1996) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1997) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1998) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1999) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2000) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2001) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2002) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2003) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2004) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2005) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2006) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2007) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2008) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2009) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2010) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2011) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2012) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2013) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2014) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2015) & (DEV == 1) & (Neg == 0), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1991) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1992) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1993) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1994) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1995) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1996) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1997) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1998) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1999) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2000) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2001) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2002) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2003) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2004) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2005) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2006) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2007) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2008) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2009) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2010) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2011) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2012) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2013) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2014) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2015) & (DEV == 0) & (Neg == 0), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

* CF serial correlation: manufacturing firms

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1991) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1992) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1993) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1994) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1995) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1996) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1997) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1998) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1999) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2000) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2001) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2002) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2003) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2004) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2005) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2006) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2007) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2008) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2009) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2010) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2011) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2012) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2013) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2014) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2015) & (fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1991) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1992) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1993) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1994) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1995) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1996) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1997) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1998) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1999) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2000) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2001) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2002) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2003) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2004) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2005) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2006) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2007) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2008) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2009) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2010) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2011) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2012) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2013) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2014) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2015) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1991) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1992) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1993) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1994) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1995) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1996) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1997) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1998) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1999) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2000) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2001) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2002) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2003) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2004) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2005) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2006) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2007) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2008) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2009) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2010) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2011) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2012) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2013) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2014) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2015) & (DEV == 1) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1991) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1992) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1993) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1994) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1995) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1996) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1997) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1998) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1999) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2000) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2001) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2002) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2003) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2004) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2005) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2006) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2007) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2008) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2009) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2010) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2011) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2012) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2013) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2014) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2015) & (DEV == 0) & (Neg == 0) & (sic >= 2000) & (sic <= 3990), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

* CF serial correlation: mature firms

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1991) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1992) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1993) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1994) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1995) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1996) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1997) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1998) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 1999) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2000) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2001) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2002) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2003) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2004) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2005) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2006) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2007) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2008) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2009) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2010) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2011) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2012) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2013) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2014) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 if (fyear == 2015) & (fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1991) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1992) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1993) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1994) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1995) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1996) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1997) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1998) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1999) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2000) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2001) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2002) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2003) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2004) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2005) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2006) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2007) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2008) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2009) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2010) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2011) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2012) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2013) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2014) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2015) & (DEV == 1) & !(fic == "USA") & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1991) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1992) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1993) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1994) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1995) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1996) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1997) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1998) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1999) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2000) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2001) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2002) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2003) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2004) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2005) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2006) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2007) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2008) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2009) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2010) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2011) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2012) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2013) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2014) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2015) & (DEV == 1) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

eststo  clear
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1991) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1992) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1993) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1994) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1995) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1996) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1997) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1998) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 1999) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2000) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2001) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2002) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2003) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2004) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2005) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2006) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2007) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2008) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2009) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2010) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2011) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2012) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2013) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2014) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
eststo: quietly reg CashFlow_w l.CashFlow_w i.sic2 i.fic_n if (fyear == 2015) & (DEV == 0) & (Neg == 0) & (length2 >= 21) & (length2 <= 26), vce(cluster gvkey_n)
esttab, cells(b(fmt(4)) t(par fmt(2))) stats(N r2_a)

* Appendix 1: Almeida et al.(JF 2004) and Riddick & Whited (JF 2009)

reg CashChange_w c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1), vce(cluster gvkey_n)
reg CashChange_w c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1), vce(cluster gvkey_n)

xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Large == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Small == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  

reg CashChange_w c.CashFlow_w##i.Neg MB_w Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0), vce(cluster gvkey_n)
reg CashChange_w c.CashFlow_w##i.Neg MB_w Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1), vce(cluster gvkey_n)

xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 0), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg Size NwcChange_w Capex_w Acquis_w STDebt_w if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & (Dividend_constraint == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  


reg CashChange_w c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), vce(cluster gvkey_n)
reg CashChange_w c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), vce(cluster gvkey_n)

xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  

reg CashChange_w c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd_fic == 1), vce(cluster gvkey_n)
reg CashChange_w c.CashFlow_w##i.Neg MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd_fic == 1), vce(cluster gvkey_n)

xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Small_u_hat_sd_fic == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  
xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015) & (Large_u_hat_sd_fic == 1), maxdeg(4) mismeasured(1) method(CML) panmethod(CLS)  

* Appendix 1: Almeida et al.(JF 2004) vs. Riddick & Whited (JF 2009)

reg CashChange_w c.CashFlow_w##i.Neg##i.Small##i.Small_u_hat_sd MB_w Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015), vce(cluster gvkey_n)

lincom  c.CashFlow_w#1.Small + c.CashFlow_w#1.Small_u_hat_sd + c.CashFlow_w#1.Small#1.Small_u_hat_sd

reg CashChange_w c.CashFlow_w##i.Neg##i.Dividend_constraint##i.Small_u_hat_sd MB_w Size NwcChange_w  Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015), vce(cluster gvkey_n)

lincom  c.CashFlow_w#1.Dividend_constraint + c.CashFlow_w#1.Small_u_hat_sd + c.CashFlow_w#1.Dividend_constraint#1.Small_u_hat_sd


xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg CashFlow_Small CashFlow_Smallres CashFlow_Small_Smallres CashFlow_Small_Neg CashFlow_Small_Neg_Smallres CashFlow_Smallres_Neg Small_Neg_Smallres Small_Neg Small_Smallres Smallres_Neg Small Small_u_hat_sd Size NwcChange_w Div_w Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  

lincom  CashFlow_Small + CashFlow_Smallres + CashFlow_Small_Smallres

xtewreg CashChange_w MB_w CashFlow_w CashFlow_Neg Neg CashFlow_Div CashFlow_Smallres CashFlow_Div_Smallres CashFlow_Div_Neg CashFlow_Div_Neg_Smallres CashFlow_Smallres_Neg Div_Neg_Smallres Div_Neg Div_Smallres Smallres_Neg Dividend_constraint Small_u_hat_sd Size NwcChange_w  Capex_w Acquis_w STDebt_w if (fyear >= 1990) & (fyear <= 2015), maxdeg(5) mismeasured(1) method(CML) panmethod(CLS)  

lincom  CashFlow_Div + CashFlow_Smallres + CashFlow_Div_Smallres

* Appendix 2: World Economic Forum index

* Appendix 3: Stock market liberalization 

* Appendix 4: Number of firm-years (unreported)

table fic fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015)
table fic fyear if (control == 1) & (fyear >= 1990) & (fyear <= 2015) & !(fic=="CHN") & !(fic=="VNM")
